source: spip-zone/_plugins_/verifie31/prive/squelettes/contenu/verifie31.html @ 103609

Last change on this file since 103609 was 103609, checked in by erational@…, 3 years ago

PSR et pétouilles

File size: 3.7 KB
Line 
1<h1><:verifie31:titre_verifie31:></h1>
2#SET{incompatible,0}
3#SET{total_plugin,0}
4#SET{vspip,3.1.0}
5<B_plugins_current>
6<div class="liste-objets plugins actifs">
7        <table class="spip">
8                <caption><strong class="caption"><:verifie31:liste_plugins:></strong></caption>
9                <thead>
10                        <tr>
11                                <th class="picto"> </th>
12                                <th><:verifie31:plugin_nom:></th>
13                                <th><:verifie31:plugin_borne:></th>
14                                <th><:verifie31:plugin_compat31:></th>
15                        </tr>
16                </thead>
17                <tbody>
18                <BOUCLE_plugins_current (PAQUETS plugins) {tout} {par multi nom, paquets.prefixe} {!par constante, actif} {id_depot=0} {constante !=_DIR_PLUGINS_DIST} {actif=oui}>
19                <tr>
20                        <td class="picto"> </td>
21                        <td>#NOM[ <small class="site">(<a href="(#LIEN_DOC)" class="spip_out"><:en_savoir_plus:></a>)</small>]</td>
22                        <td>#COMPATIBILITE_SPIP</td>
23                        <td>
24                                [(#COMPATIBILITE_SPIP|plugin_version_compatible{#GET{vspip}}|oui)  <span style="color:#090;"><:verifie31:plugin_compat31_ok:></span>]
25                                [(#COMPATIBILITE_SPIP|plugin_version_compatible{#GET{vspip}}|non)
26                                <span style="color:#900;"><:verifie31:plugin_compat31_notok:></span>
27                                #SET{incompatible,#GET{incompatible}|plus{1}}
28                                ]
29                                [(#REM) si pas compatible, on regarde si le plugin du depot l'est]
30                                <BOUCLE_plugins_current_item (PLUGINS){prefixe}{si #COMPATIBILITE_SPIP|plugin_version_compatible{#GET{vspip}}|non}>
31                                [(#COMPATIBILITE_SPIP|plugin_version_compatible{#GET{vspip}}|oui)
32                                <p style="margin-top:1em;">
33                                <:verifie31:plugin_compat31_maj:>
34                                <a href="#URL_ECRIRE{admin_plugin}"><:verifie31:plugin_compat31_maj_gestion:></a>
35                                </p>]
36                                </BOUCLE_plugins_current_item>
37                        </td>
38                </tr>
39                </BOUCLE_plugins_current>
40                </tbody>
41        </table>
42</div>
43#SET{total_plugin,#TOTAL_BOUCLE}
44<p><:verifie31:bilan{total=#GET{total_plugin},total_notok=#GET{incompatible}}:></p>
45</B_plugins_current>
46[(#REM)
47        On vérifie aussi les plugins inactifs.
48        Ce n'est pas parce qu'un plugin est inactif aujourd'hui qu'il n'est pas du tout utile à la vie du site à un autre moment.
49]
50#SET{incompatible,0}
51#SET{total_plugin,0}
52<B_plugins_inactif>
53<div class="liste-objets plugins inactifs">
54        <table class="spip">
55                <caption><strong class="caption"><:verifie31:liste_plugins_inactifs:></strong></caption>
56                <thead>
57                        <tr class="first_row">
58                                <th class="picto"></th>
59                                <th><:verifie31:plugin_nom:></th>
60                                <th><:verifie31:plugin_borne:></th>
61                                <th><:verifie31:plugin_compat31:></th>
62                        </tr>
63                </thead>
64                <tbody>
65                <BOUCLE_plugins_inactif (PAQUETS plugins) {tout} {par multi nom, paquets.prefixe} {!par constante, actif} {id_depot=0} {constante IN _DIR_PLUGINS} {actif=non}>
66                <tr>
67                        <td class="picto"> </td>
68                        <td>#NOM[ <small class="site">(<a href="(#LIEN_DOC)" class="spip_out"><:en_savoir_plus:></a>)</small>]</td>
69                        <td>#COMPATIBILITE_SPIP</td>
70                        <td>
71                                [(#COMPATIBILITE_SPIP|plugin_version_compatible{#GET{vspip}}|oui)  <span style="color:#090;"><:verifie31:plugin_compat31_ok:></span>]
72                                [(#COMPATIBILITE_SPIP|plugin_version_compatible{#GET{vspip}}|non)
73                                <span style="color:#900;"><:verifie31:plugin_compat31_notok:></span>
74                                #SET{incompatible,#GET{incompatible}|plus{1}}
75                                ]
76                                [(#REM) si pas compatible, on regarde si le plugin du depot l'est]
77                                <BOUCLE_plugins_inactif_item (PLUGINS){prefixe}{si #COMPATIBILITE_SPIP|plugin_version_compatible{#GET{vspip}}|non}>
78                                [(#COMPATIBILITE_SPIP|plugin_version_compatible{#GET{vspip}}|oui)
79                                <p style="margin-top:1em;">
80                                <:verifie31:plugin_compat31_maj:>
81                                <a href="#URL_ECRIRE{admin_plugin}"><:verifie31:plugin_compat31_maj_gestion:></a>
82                                </p>]
83                                </BOUCLE_plugins_inactif_item>
84                        </td>
85                </tr>
86                </BOUCLE_plugins_inactif>
87                </tbody>
88        </table>
89</div>
90#SET{total_plugin,#TOTAL_BOUCLE}
91<p><:verifie31:bilan_inactif{total=#GET{total_plugin},total_notok=#GET{incompatible}}:></p>
92</B_plugins_inactif>
Note: See TracBrowser for help on using the repository browser.